<?php

/**
 * Test class for WActiveRecord.
 * Generated by PHPUnit on 2012-01-20 at 15:02:18.
 */
class WActiveRecordTest extends PHPUnit_Framework_TestCase
{
	private $_connection;


	protected function setUp()
	{
		if(!extension_loaded('pdo') || !extension_loaded('pdo_sqlite'))
			$this->markTestSkipped('PDO and SQLite extensions are required.');

		$this->_connection = new CDbConnection('sqlite::memory:');
		$this->_connection->active = true;
		$this->_connection->pdoInstance->exec(file_get_contents(dirname(__FILE__).'/../fixtures/data/sqlite.sql'));
		CActiveRecord::$db = $this->_connection;
	}


	protected function tearDown()
	{
		$this->_connection->active=false;
	}

	/**
	 * @covers WActiveRecord::onUnsafeAttribute
	 */
	public function testOnUnsafeAttribute()
	{
		$unsafeAttributes = array();
		$product = new Product();
		$product->onUnsafeAttribute = function($event) use (&$unsafeAttributes) {
			$unsafeAttributes[] = $event->params;
		};
		$product->attributes = array(
			'name' => 'product name',
			'images' => array(
				'file' => 'file.txt'
			),
			'tags' => array(),
		);

		$this->assertNotEmpty($unsafeAttributes);
		$this->assertCount(2, $unsafeAttributes);
		$this->assertEquals($unsafeAttributes[0]['name'], 'images');
		$this->assertCount(1, $unsafeAttributes[0]['value']);
		$this->assertEquals($unsafeAttributes[0]['value']['file'], 'file.txt');
		$this->assertEquals($unsafeAttributes[1]['name'], 'tags');
		$this->assertEmpty($unsafeAttributes[1]['value']);
	}

}
